using System;
using System.Collections;
using System.Collections.Generic;
//using System.Linq;

//using UnityEditor;
using UnityEngine;
//using UnityEngine.UI;
//using Uhity.Entities;

using URD = UnityEngine.Random;

public class Box : MonoBehaviour {
	
	public Color color = Color.red;
	public Vector3 size = Vector3.one * 0.1f;
	public bool show = true;
	
	// Start is called before the first frame update
	void Start() {
		
	}
	
	
	// Update is called once per frame
	void Update() {
		
	}
	
	void OnDrawGizmos() {
		if(!show) return;
	
		Gizmos.matrix = transform.localToWorldMatrix;
		
		var c = color;
		
		Gizmos.color = c;
		Gizmos.DrawWireCube(Vector3.zero, size);
		
		c.a /=2;
		Gizmos.color = c;
		Gizmos.DrawCube(Vector3.zero, size);
	}
}
